package com.pandoli365.bibimbap.data;

import java.util.List;

public class SearchCriteria {

    private String keyword;
    private String creator;
    private List<String> tags;
    private String tagMode;
    private int tagCount;
    private String sort;
    private String jamSlug;

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }

    public String getTagMode() {
        return tagMode;
    }

    public void setTagMode(String tagMode) {
        this.tagMode = tagMode;
    }

    public int getTagCount() {
        return tagCount;
    }

    public void setTagCount(int tagCount) {
        this.tagCount = tagCount;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getJamSlug() {
        return jamSlug;
    }

    public void setJamSlug(String jamSlug) {
        this.jamSlug = jamSlug;
    }
}
